package request

// AddThemeReq
// @Description: 新增主题请求参数
type AddThemeReq struct {
	ChartThemeName   string `description:"主题名称"`
	ChartThemeTypeId int    `description:"图表类型id"`
}

// EditThemeReq
// @Description: 编辑主题请求参数
type EditThemeReq struct {
	ChartThemeId   int    `description:"主题id"`
	ChartThemeName string `description:"主题名称"`
	Config         string `description:"配置的值"`
	ChartImage     string `description:"缩略图"`
}

// DeleteThemeReq
// @Description: 删除主题请求参数
type DeleteThemeReq struct {
	ChartThemeId int `description:"配置id"`
}

// SetDefaultThemeReq
// @Description: 配置默认主题请求参数
type SetDefaultThemeReq struct {
	ChartThemeId     int `description:"主题id"`
	ChartThemeTypeId int `description:"主题类型id"`
}
